<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Controle de Acesso: Segundo Trabalho de Técnicas de Programação 1</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Controle de Acesso
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Segundo Trabalho de Técnicas de Programação 1 </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><hr/>
<h2>Sistema de Controle de Acesso</h2>
<p>Esse projeto consiste em um sistema de controle e monitoramento de acesso para ser utilizado na entrada dos Laboratórios de Informática (LINF - UnB). Tem finalidade de monitorar alunos, professores, funcionários da limpeza, funcionários da segurança (vigias), pessoal do suporte técnico do CIC (funcionários, estagiários e professores ligados à administração do suporte) e também pessoas externas (ou de empresas tercerizadas), que acessam os laboratórios para dar manuntenção na infra-estrutura (hardware, cabeamento, móveis, paredes, ar-condicionados, etc.).</p>
<p>Os dados do cadastro serão armazenados em um Banco de Dados, o qual terá as seguintes informações:</p>
<blockquote class="doxtable">
<p>Número de usuário, sendo matricula (para alunos) ou CPF (pessoal externo); Nome e sobrenome completos; Identificador de disciplinas ou turmas (para alunos) e outras reservas (pessoal externo); Arquivos de imagens do rosto de cada usuário, que serão utilizados para validação de acesso; </p>
</blockquote>
<p>No momento de validação de acesso, tem-se armazenamento das seguintes dados:</p>
<blockquote class="doxtable">
<p>Autor da reserva; Propósito da reserva e informações adicionais da reserva; Número da sala; Horário; E se será uma reserva recorrente; </p>
</blockquote>
<hr/>
 <h2>Sistemas operacionais usados:</h2>
<p>O projeto foi implementado em ambos Sistemas Operacionais Linux 16.04 e 17.04.</p>
<hr/>
 <h2>Compiladores utilizados para execussão:</h2>
<h3>Informações do terminal:</h3>
<h4>Ubuntu 17.04</h4>
<blockquote class="doxtable">
<p>compilador g++ (Ubuntu 6.3.0-12ubuntu2) 6.3.0 20170406 </p>
</blockquote>
<p>Copyright (C) 2016 Free Software Foundation, Inc. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.</p>
<h4>Ubuntu 16.04</h4>
<blockquote class="doxtable">
<p>g++ (Ubuntu 5.4.0-6ubuntu1~16.04.5) 5.4.0 20160609 </p>
</blockquote>
<p>Copyright (C) 2015 Free Software Foundation, Inc. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.</p>
<hr/>
 <h2>Requisitos a serem instalados:</h2>
<h4>Instalando OpenCV - Versão 2.4.13.4:</h4>
<p>As etapas de instalção estão desponíveis no link a seguir:</p>
<ul>
<li><a href="https://gist.github.com/arthurbeggs/06df46af94af7f261513934e56103b30">https://gist.github.com/arthurbeggs/06df46af94af7f261513934e56103b30</a></li>
</ul>
<p>Basta segui-las na ordem correta e estará com a biblioteca OpenCV disponível em sua máquina.</p>
<h4>Instalando Doxygen:</h4>
<p>Basta executar os seguintes comandos no seu terminal: </p><pre class="fragment">    $ sudo apt-get update
    $ sudo apt-get install doxygen-gui
</pre><h4>Instalando Astah:</h4>
<p>Basta baixar a versão _.deb_ no link:</p>
<ul>
<li>((<a href="http://astah.net/com-announcement">http://astah.net/com-announcement</a>)[<a href="http://astah.net/com-announcement">http://astah.net/com-announcement</a>])</li>
</ul>
<p>e executar o seguinte comandos no diretório em que foi salvo o seu _.deb_: </p><pre class="fragment">    $ sudo dpkg -i [nome_do_arquivo].deb
</pre><p>Como o <em>Astah</em> tem como requisito <em>JDK</em>, será necessário a instalação do mesmo.</p>
<h4>Instalando JDK:</h4>
<p>Basta executar os seguintes comando em seu terminal: </p><pre class="fragment">    $ sudo add-apt-repository ppa:webupd8team/java
    $ sudo apt-get update
    $ sudo apt-get install oracle-java9-installer
</pre><hr/>
<h2>Método de compilação usado:</h2>
<p>Primeiramente deve ser executado o arquivo <em>qmake</em> que está disponível no diretório <em>CadastroGUI</em>, como a seguir: </p><pre class="fragment">    $ qmake
</pre><p>Com isso, será gerado um arquivo <em>Makefile</em>. Basta agora executar os seguintes comandos no seu terminal: </p><pre class="fragment">    $ make
    $ ./CadastroGUI
</pre><p>Para fazer a limpeza no diretório, basta executar o seguinte comando: </p><pre class="fragment">    $ make distclean
</pre><hr/>
<h2>Demonstrações da execução do projeto:</h2>
<h4>Executando identificador de faces:</h4>
<div class="image">
<img src="https://gitlab.com/junio.batista12/Trabalho2_TP1/raw/master/Screenshots/Print1.jpg" alt="alt text"/>
</div>
<h4>Executando a interface de cadastro:</h4>
<blockquote class="doxtable">
<p>Interface inicial de cadastro: </p>
</blockquote>
<div class="image">
<img src="https://gitlab.com/junio.batista12/Trabalho2_TP1/raw/master/Screenshots/Print2.jpg" alt="alt text"/>
</div>
<blockquote class="doxtable">
<p>Cadastrando <a class="el" href="class_aluno.html">Aluno</a>: </p>
</blockquote>
<div class="image">
<img src="https://gitlab.com/junio.batista12/Trabalho2_TP1/raw/master/Screenshots/Print3.png" alt="alt text"/>
</div>
<blockquote class="doxtable">
<p>Cadastrando <a class="el" href="class_professor.html">Professor</a>: </p>
</blockquote>
<div class="image">
<img src="https://gitlab.com/junio.batista12/Trabalho2_TP1/raw/master/Screenshots/Print4.jpg" alt="alt text"/>
</div>
<div class="image">
<img src="https://gitlab.com/junio.batista12/Trabalho2_TP1/raw/master/Screenshots/Print5.jpg" alt="alt text"/>
</div>
<hr/>
<h2>Documentação Doxygen:</h2>
<hr/>
<h2>Diagrama de Classes:</h2>
<hr/>
<h2>Diagrama de Sequência:</h2>
<hr/>
 </div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
